Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Update label

PATCH/workspaces/{organizationId}/labels/{id}
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
idstringrequired
Request body
application/json
namestring
min length 1
colorstring
Responses
200

Label updated

idstringrequired
organizationIdstringrequired
namestringrequired
colorstring | nullrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X PATCH 'https://pile.nyc/workspaces/string/labels/string' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "color": "string"
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "color": "string",
  "createdAt": "string"
}

Was this page helpful?